
QGIS Application - Bug report #10429

No python support on latest nightly build on Ubuntu

2014-06-03 05:46 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18843

Description

Just updated QGIS master on Ubuntu 12.04/14.04 using the nightly build repo, and on launch it gives

Couldn't load PyQGIS.

Python support will be disabled.

Traceback (most recent call last):

  File "", line 1, in 

  File "/usr/lib/python2.7/dist-packages/qgis/__init__.py", line 36, in 

    from qgis.core import QgsFeature, QgsGeometry

  File "/usr/lib/python2.7/dist-packages/qgis/core/__init__.py", line 1, in 

    from qgis._core import *

ImportError: /usr/lib/python2.7/dist-packages/qgis/_core.so: undefined symbol: _ZN15QgsComposerItem13updatePagePosEdd

History

#1 - 2014-06-03 02:56 PM - Tobias Schneider

I can't confirm this. Startup of todays build on Ubuntu 14.04 gives me this message:

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Toolbox" under id 236

But the program works fine for me. Maybe reinstall PyQGIS package?

#2 - 2014-06-03 11:40 PM - Giovanni Manghi

Tobias Sch wrote:

I can't confirm this. Startup of todays build on Ubuntu 14.04 gives me this message:

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Toolbox" under id 236
But the program works fine for me. Maybe reinstall PyQGIS package?

do you use the nightly build repo on top of the ubuntugis one?

#3 - 2014-06-04 12:43 AM - Tobias Schneider

I currently have "qgis 2.3.0+git20140603+9c5c257~trusty1" from "http://qgis.org/debian-nightly". But I don't remember my exact install history.

#4 - 2014-06-04 01:17 AM - Giovanni Manghi

Tobias Sch wrote:

"http://qgis.org/debian-nightly".

tis is the nightly build repo that does not use the ubuntugis packages. I have anyway tested also this one and I'm getting the same issue.

#5 - 2014-06-05 04:09 AM - Giovanni Manghi

does not happen if I self compile QGIS.

#6 - 2014-06-05 03:55 PM - Jürgen Fischer

Giovanni Manghi wrote:

tis is the nightly build repo that does not use the ubuntugis packages. I have anyway tested also this one and I'm getting the same issue.

Did you remove all qgis and ubuntugis packages before installing from the plain nightly repository?

#7 - 2014-06-05 04:34 PM - Giovanni Manghi

Did you remove all qgis and ubuntugis packages before installing from the plain nightly repository?

yes

#8 - 2014-06-07 01:28 AM - Jürgen Fischer

- Status changed from Open to Feedback

Not reproducible with either 2.3.0+git20140606+ade4c7b~precise1 (12.04) or 2.3.0+git20140606+ade4c7b~trusty1 (14.04).

# COLUMNS=250 dpkg -l "*qgis*" 

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend

|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)

||/ Name                                                     Version                           Architecture                      Description

+++-========================================================-=================================-=================================-======================================================================================================================
ii  libqgis-analysis2.3.0                                    2.3.0+git20140606+ade4c7b~trusty1 amd64                             QGIS - shared analysis library
ii  libqgis-core2.3.0                                 

===================-======================================================================================================================
ii  libqgis-analysis2.3.0                                    2.3.0+git20140606+ade4c7b~trusty1 amd64                             QGIS - shared analysis library
ii  libqgis-core2.3.0                                        2.3.0+git20140606+ade4c7b~trusty1 amd64                             QGIS - shared core library
ii  libqgis-gui2.3.0                                         2.3.0+git20140606+ade4c7b~trusty1 amd64               

==============================

ii  libqgis-analysis2.3.0                                    2.3.0+git20140606+ade4c7b~trusty1 amd64                             QGIS - shared analysis library

ii  libqgis-core2.3.0                                        2.3.0+git20140606+ade4c7b~trusty1 amd64                             QGIS - shared core library

ii  libqgis-gui2.3.0                                         2.3.0+git20140606+ade4c7b~trusty1 amd64                             QGIS - shared gui library

ii  libqgis-networkanalysis2.3.0                             2.3.0+git20140606+ade4c7b~trusty1 amd64                             QGIS - shared network analysis

library

un  libqgis2.3.0                                             <none>                            <none>                            (no description available)

ii  libqgispython2.3.0                                       2.3.0+git20140606+ade4c7b~trusty1 amd64                             QGIS - shared Python library

ii  python-qgis                                              2.3.0+git20140606+ade4c7b~trusty1 amd64                             Python bindings to QGIS

ii  python-qgis-common                                       2.3.0+git20140606+ade4c7b~trusty1 all                               Python bindings to QGIS -

architecture-independent files

un  python2.7-qgis                                           <none>                            <none>                            (no description available)

ii  qgis                                                     2.3.0+git20140606+ade4c7b~trusty1 amd64                             Geographic Information System (GIS)

ii  qgis-common                                              2.3.0+git20140606+ade4c7b~trusty1 all                               QGIS - architecture-independent data

un  qgis-plugin-globe                                        <none>                            <none>                            (no description available)

un  qgis-plugin-grass                                        <none>                            <none>                            (no description available)

ii  qgis-providers                                           2.3.0+git20140606+ade4c7b~trusty1 amd64                             collection of data providers to QGIS

ii  qgis-providers-common                                    2.3.0+git20140606+ade4c7b~trusty1 all                               collection of data providers to QGIS -

architecture-independent files

#9 - 2014-06-08 02:24 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

it is gone with the latest updates.
